package com.persagy.dmp.rwd.controller;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.rwd.model.GraphDefModel;
import com.persagy.dmp.rwd.model.GroupAndSchemaModel;
import com.persagy.dmp.rwd.service.GraphInstanceService;
import com.persagy.dmp.rwd.service.GroupAndSchemaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/rwd/groupAndSchema/admin/")
public class GroupAndSchemaController {

    @Autowired
    private GroupAndSchemaService service;

    /***
     * Description: 新建集团及集团方案
     * @param param : 请求参数
     * @return : com.persagy.common.web.MapResponse  
     * @author : lijie
     * @date :2021/7/21 15:19
     * Update By lijie 2021/7/21 15:19
     */
    @PostMapping("/create")
    public MapResponse create(@RequestBody GroupAndSchemaModel param){
        return service.create(param);
    }
    /***
     * Description: 编辑集团及集团方案
     * @param param : 请求参数
     * @return : com.persagy.common.web.MapResponse  
     * @author : lijie
     * @date :2021/7/21 15:19
     * Update By lijie 2021/7/21 15:19
     */
    @PostMapping("/update")
    public MapResponse update(@RequestBody GroupAndSchemaModel param){
        return service.update(param);
    }

}
